Name:          libkgapi
Version:       18.04.2
Release:       1mamba
Summary:       A KDE-based library for accessing various Google services via their public API
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.progdan.cz/2012/05/libkgoogle-libkgapi/
Source:        http://download.kde.org/stable/applications/%{version}/src/libkgapi-%{version}.tar.xz
Patch0:        libkgapi-2.0.2-qt-4.8.5.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5WebEngine-devel
BuildRequires: libgcc
BuildRequires: libkcalcore-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkcontacts-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkio-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libkservice-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
LibKGAPI is a KDE-based library for accessing various Google services via their public API.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
#%patch0 -p1

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}_qt --with-qt --all-name || touch %{name}_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}_qt.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/libkgapi.categories
%{_libdir}/libKPimGAPI*.so.*
%doc LICENSE

%files devel
%defattr(-,root,root)
%{_kde5_mkspecsdir}/qt_KGAPI*.pri
%{_libdir}/libKPimGAPI*.so
%dir %{_includedir}/KPim/KGAPI
%dir %{_includedir}/KPim/KGAPI/KGAPI
%{_includedir}/KPim/KGAPI/KGAPI/*
%dir %{_includedir}/KPim/KGAPI/kgapi
%{_includedir}/KPim/KGAPI/kgapi/*
%{_includedir}/KPim/kgapi_version.h
%dir %{_libdir}/cmake/KPimGAPI
%{_libdir}/cmake/KPimGAPI/KPimGAPI*.cmake

%changelog
* Tue Jun 12 2018 Automatic Build System <autodist@mambasoft.it> 18.04.2-1mamba
- automatic version update by autodist

* Sun May 13 2018 Automatic Build System <autodist@mambasoft.it> 18.04.1-1mamba
- automatic version update by autodist

* Tue May 01 2018 Automatic Build System <autodist@mambasoft.it> 18.04.0-1mamba
- automatic version update by autodist

* Sat Mar 10 2018 Automatic Build System <autodist@mambasoft.it> 17.12.3-1mamba
- automatic version update by autodist

* Fri Feb 09 2018 Automatic Build System <autodist@mambasoft.it> 17.12.2-1mamba
- automatic version update by autodist

* Fri Jan 12 2018 Automatic Build System <autodist@mambasoft.it> 17.12.1-1mamba
- automatic version update by autodist

* Mon Jan 08 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 17.12.0-1mamba
- update to 17.12.0

* Sat Jan 28 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.3.1-2mamba
- rebuilt with KF5 5.30

* Mon Sep 05 2016 Automatic Build System <autodist@mambasoft.it> 5.3.1-1mamba
- automatic version update by autodist

* Wed Aug 31 2016 Automatic Build System <autodist@mambasoft.it> 5.3.0-1mamba
- automatic version update by autodist

* Thu Dec 03 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.1.0-1mamba
- update to 5.1.0

* Fri Aug 22 2014 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Tue Apr 08 2014 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Fri Mar 07 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-1mamba
- update to 2.1.0

* Sun Dec 08 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.2-1mamba
- update to 2.0.2

* Mon Jun 03 2013 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Thu May 23 2013 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Wed Dec 26 2012 Automatic Build System <autodist@mambasoft.it> 0.4.4-1mamba
- update to 0.4.4

* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 0.4.3-1mamba
- update to 0.4.3

* Fri Aug 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.1-1mamba
- package created by autospec
